[Fuego] progress with fuego-release-test

Tim.Bird at sony.com Tim.Bird at sony.com
Fri Mar 2 05:35:14 UTC 2018


Using the tips we discussed on slack, I was able to finish building the host container, and when I ran the 
fuego-test.default.Functional.fuegotest job, I got to step 14 creating the 'DUT" container, and the
system errors out with the message below:

This is on Ubuntu 14.04, docker version 17.05.0-ce


Step 14/32 : COPY --chown=jenkins:jenkins fuego-rw /fuego-rw
Unknown flag: chown
Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/docker/api/client.py", line 223, in _raise_for_status
    response.raise_for_status()
  File "/usr/local/lib/python3.4/dist-packages/requests/models.py", line 935, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 404 Client Error: Not Found for url: http+docker://localunixsocket/v1.35/containers/create?name=fuego-release-container

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/fuego-core/engine/tests/Functional.fuegotest/test_run.py", line 235, in <module>
    sys.exit(main())
  File "/fuego-core/engine/tests/Functional.fuegotest/test_run.py", line 225, in main
    args.container_name)
  File "/fuego-core/engine/tests/Functional.fuegotest/test_run.py", line 97, in setup_docker
    name=container_name, command='/bin/bash')
  File "/usr/local/lib/python3.4/dist-packages/docker/models/containers.py", line 814, in create
    resp = self.client.api.create_container(**create_kwargs)
  File "/usr/local/lib/python3.4/dist-packages/docker/api/container.py", line 404, in create_container
    return self.create_container_from_config(config, name)
  File "/usr/local/lib/python3.4/dist-packages/docker/api/container.py", line 415, in create_container_from_config
    return self._result(res, True)
  File "/usr/local/lib/python3.4/dist-packages/docker/api/client.py", line 229, in _result
    self._raise_for_status(response)
  File "/usr/local/lib/python3.4/dist-packages/docker/api/client.py", line 225, in _raise_for_status
    raise create_api_error_from_http_exception(e)
  File "/usr/local/lib/python3.4/dist-packages/docker/errors.py", line 31, in create_api_error_from_http_exception
    raise cls(e, response=response, explanation=explanation)
docker.errors.ImageNotFound: 404 Client Error: Not Found ("No such image: fuego-release:latest")
+ signal_handler
+ echo 'in signal_handler'
in signal_handler
+ unlock_build_dir
+ '[' -e /fuego-rw/buildzone/fuego-test.default.Functional.fuegotest-x86_64/fuego.build.lock ']'
+ export FUEGO_RECEIVED_SIGNAL=true
+ FUEGO_RECEIVED_SIGNAL=true...



More information about the Fuego mailing list